plymouth-upstart-bridge main process (189) terminated with status 1 at boot

Bug #1309617 reported by Bruno Bigras on 2014-04-18
356
This bug affects 72 people
Affects Status Importance Assigned to Milestone
plymouth (Ubuntu)
Medium
Dimitri John Ledkov

Bug Description

I see this when I boot (I got it by running the dmesg command):
[ 7.631865] init: plymouth-upstart-bridge main process (173) terminated with status 1
[ 7.632154] init: plymouth-upstart-bridge main process ended, respawning
[ 7.670080] init: plymouth-upstart-bridge main process (183) terminated with status 1
[ 7.670443] init: plymouth-upstart-bridge main process ended, respawning
[ 7.706173] init: plymouth-upstart-bridge main process (186) terminated with status 1
[ 7.706534] init: plymouth-upstart-bridge main process ended, respawning

I don't know if plymouth-upstart-bridge is supposed to be running at all time but it doesn't on my machine:
bbigras@ubuntunew:~$ ps ax | grep plymouth-upstart-bridge
 8784 pts/2 S+ 0:00 grep --color=auto plymouth-upstart-bridge

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: plymouth 0.8.8-0ubuntu17
ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
Uname: Linux 3.13.0-24-generic i686
ApportVersion: 2.14.1-0ubuntu3
Architecture: i386
Date: Fri Apr 18 12:04:00 2014
DefaultPlymouth: Error: command ['readlink', '/etc/alternatives/default.plymouth'] failed with exit code 1:
InstallationDate: Installed on 2014-01-21 (86 days ago)
InstallationMedia: Ubuntu-Server 12.04.3 LTS "Precise Pangolin" - Release i386 (20130820.2)
Lsusb: Error: command ['lsusb'] failed with exit code 1: unable to initialize libusb: -99
MachineType: VMware, Inc. VMware Virtual Platform
ProcCmdLine: BOOT_IMAGE=/vmlinuz-3.13.0-24-generic root=/dev/mapper/hostname--vg-root ro
ProcFB: 0 svgadrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.13.0-24-generic root=/dev/mapper/hostname--vg-root ro
SourcePackage: plymouth
TextPlymouth: /lib/plymouth/themes/ubuntu-text/ubuntu-text.plymouth
UpgradeStatus: Upgraded to trusty on 2014-04-18 (0 days ago)
dmi.bios.date: 10/13/2009
dmi.bios.vendor: Phoenix Technologies LTD
dmi.bios.version: 6.00
dmi.board.name: 440BX Desktop Reference Platform
dmi.board.vendor: Intel Corporation
dmi.board.version: None
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 1
dmi.chassis.vendor: No Enclosure
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvr6.00:bd10/13/2009:svnVMware,Inc.:pnVMwareVirtualPlatform:pvrNone:rvnIntelCorporation:rn440BXDesktopReferencePlatform:rvrNone:cvnNoEnclosure:ct1:cvrN/A:
dmi.product.name: VMware Virtual Platform
dmi.product.version: None
dmi.sys.vendor: VMware, Inc.
mtime.conffile..etc.init.plymouth.stop.conf: 2014-04-18T09:37:28.562680

Bruno Bigras (brunoqc) wrote :
Steve Langasek (vorlon) wrote :

Dimitri, since you touched this code last I guess you might have some idea what's causing plymouth-upstart-bridge to die/respawn. Could you have a look?

Bruno, to be clear: are you seeing these messages on the console during boot, or are you only seeing them in the dmesg output?

Changed in plymouth (Ubuntu):
assignee: nobody → Dimitri John Ledkov (xnox)
importance: Undecided → Medium
Bruno Bigras (brunoqc) wrote :

During boot.

Here's a screen capture from the vmware ESXi console thing.

I'm not sure if there's could be a link but just in case. After I upgraded to 14.04 some of my own upstart jobs where starting, stopping and starting again in a loop (I guess upstart gave up after a number of iterations).

I had the error 'This account is currently not available.' in my upstart jobs' logs because I was using :
exec su -c './myscript' nobody

instead of setuid. I changed all my scripts to use setuid and everything seems to be fine now.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in plymouth (Ubuntu):
status: New → Confirmed
Jim (jtrosper) wrote :

I am experiencing this on Ubuntu Server 14.04. I see this in the console during boot.

SHIV (sidkris77) wrote :

I experience this too on Ubuntu Desktop 14.04 when using the kernel 3.13.0-24-generic. However if I go into Advanced options and select kernel 3.11.0-20-generic it boots fine. I had upgraded from 13.10 64 bit.

Thiago Atanes (thiago-atanes) wrote :

I see those lines in the console during boot on Ubuntu Server 14.04.

Rory Haddon (rhaddon) wrote :

Same problem here after an upgrade from precise to trusty.

Jun 5 10:48:20 li148-39 kernel: init: plymouth-upstart-bridge main process (6985) terminated with status 1
Jun 5 10:48:20 li148-39 kernel: init: plymouth-upstart-bridge main process ended, respawning
Jun 5 10:48:20 li148-39 kernel: init: plymouth-upstart-bridge main process (6988) terminated with status 1
Jun 5 10:48:20 li148-39 kernel: init: plymouth-upstart-bridge main process ended, respawning
Jun 5 10:48:20 li148-39 kernel: init: plymouth-upstart-bridge main process (6991) terminated with status 1
Jun 5 10:48:20 li148-39 kernel: init: plymouth-upstart-bridge main process ended, respawning
Jun 5 10:48:20 li148-39 kernel: init: plymouth-upstart-bridge main process (6993) terminated with status 1
Jun 5 10:48:20 li148-39 kernel: init: plymouth-upstart-bridge main process ended, respawning
Jun 5 10:48:20 li148-39 kernel: init: plymouth-upstart-bridge main process (6995) terminated with status 1
Jun 5 10:48:20 li148-39 kernel: init: plymouth-upstart-bridge main process ended, respawning
Jun 5 10:48:21 li148-39 kernel: init: plymouth-upstart-bridge main process (6996) terminated with status 1
Jun 5 10:48:21 li148-39 kernel: init: plymouth-upstart-bridge main process ended, respawning
Jun 5 10:48:21 li148-39 kernel: init: plymouth-upstart-bridge main process (6999) terminated with status 1
Jun 5 10:48:21 li148-39 kernel: init: plymouth-upstart-bridge main process ended, respawning
Jun 5 10:48:21 li148-39 kernel: init: plymouth-upstart-bridge main process (7001) terminated with status 1
Jun 5 10:48:21 li148-39 kernel: init: plymouth-upstart-bridge main process ended, respawning
Jun 5 10:48:21 li148-39 kernel: init: plymouth-upstart-bridge main process (7003) terminated with status 1
Jun 5 10:48:21 li148-39 kernel: init: plymouth-upstart-bridge main process ended, respawning
Jun 5 10:48:21 li148-39 kernel: init: plymouth-upstart-bridge main process (7004) terminated with status 1
Jun 5 10:48:21 li148-39 kernel: init: plymouth-upstart-bridge respawning too fast, stopped

What is also weird is the incorrect date reported in the logs! These were from yesterday (May 12)

Mirko Ce (mirkoce) wrote :

I have same problem on my Lenovo u310

Shinoace (mohamed-ali-mhenni) wrote :

same probleme in lenovo Z510

I don't know if it fix the problem or just hide it out, but I manage to stop the plymouth messages in boot by editing /etc/default/grub and setting the GRUB_CMDLINE_LINUX_DEFAULT="noplymounth". (and updating grub after that)

The real problem is that the boot splash screen is not working. Where is the logfile for plymouth-upstart-bridge to see what's the problem?

Celso Peixoto (cspxt) wrote :

Edit /etc/init/plymouth-upstart-bridge.conf

# plymouth-upstart-bridge - Bridge Upstart state changes into Plymouth
#
# This helper process receives Upstart state changes over D-Bus and sends
# corresponding messages to Plymouth.

description "bridge from Upstart state changes to Plymouth"

respawn

start on startup
          (or runlevel [06])
stop on stopping plymouth
         (or stopping plymouth-shutdown)

console output

exec plymouth-upstart-bridge

CrazyCoder (sbaranov) wrote :

#13, how is it different from the default and why would it fix the problem?

Robert J. (tekkitan) wrote :

certainly this is needed in the server installs, so why not disable?

Changed in plymouth (Ubuntu):
status: Confirmed → New
status: New → Confirmed
jenamithran (jenamithrann) wrote :

After 3.753881 the system waiting long time to start another process
   30.974493

jenamithran (jenamithrann) wrote :

After 3.753881 the system waiting long time to start another process
   30.974493

Dimitri John Ledkov (xnox) wrote :

the bridge is suppose to run during startup (boot) and shutdown, when there is also plymouthd running.
However plymouthd can be started from initramfs or via upstart job.
In the case when plymouthd has been started from the initramfs, we can be running the bridge straight away, otherwise it needs to wait for plymouthd to start. The termination messages are from the later case when plymouthd was not started from the initramfs. I wonder how to best minimize impact here, e.g. doing plymouth ping in pre-start. and start on startup or started plymouth.

Steve Langasek (vorlon) wrote :

> In the case when plymouthd has been started from
> the initramfs, we can be running the bridge straight
> away, otherwise it needs to wait for plymouthd to start.

I had assumed that the plymouth-upstart-bridge was designed to wait for plymouth to become available. Otherwise, it will lose events from anything that starts before plymouth does. Granted, that's very little, so *maybe* we don't care about this - in that case, the bridge should just be 'start on started plymouth'. However, otherwise the current start condition is correct and the daemon should simply be fixed to wait for plymouthd to start (probably using inotify).

Artyom Nosov (artyom.nosov) wrote :

Have the same issue. Tried to specify to the kernel
"ro console=tty0 console=ttyS2,115200n8"

and see attachment. The boot process hangs.

On 26 July 2014 02:33, Steve Langasek <email address hidden> wrote:
>> In the case when plymouthd has been started from
>> the initramfs, we can be running the bridge straight
>> away, otherwise it needs to wait for plymouthd to start.
>
> I had assumed that the plymouth-upstart-bridge was designed to wait for
> plymouth to become available. Otherwise, it will lose events from
> anything that starts before plymouth does. Granted, that's very little,
> so *maybe* we don't care about this - in that case, the bridge should
> just be 'start on started plymouth'. However, otherwise the current
> start condition is correct and the daemon should simply be fixed to wait
> for plymouthd to start (probably using inotify).
>

plymouth-upstart-bridge returns exit code 1, if
ply_boot_client_connect or ply_upstart_monitor_new fail.
Plymouthd uses abstract socket, so we can't be doing inotify watch on
the socket file.

How about this instead, see patch. Add start on or started plymouth,
or started plymouth-shutdown, and add pre-start exec to ping plymouth
and stop job from running if there is no plymouthd to talk to.

--
Regards,

Dimitri.

tags: added: patch
87dv (87dv) wrote :

The same problem at boot time, but eventually the system boots normally
Fresh install Ubuntu 14.04.1 64 bit

jenamithran (jenamithrann) wrote :

added the patch and found a lot of time is waiting after 3.760234 second to start another process

GeeMac (htpc2013) wrote :

Hello,

I am having the same issue here with Plymouth..
There is no practical sense for me to post the same information that is in post #8 and others.

I am running a fresh install of Ubuntu 14.04 Trusty 64Bit and the usual updates.
What is totally annoying is not only is there an issue with Plymouth, I have this mess scrolling up my screen every time I boot up and I can't seem to suppress this ugly message on my Home Theatre System. Apparently Dmesg wants me to know that there is an issue and will be in my face until Plymouth is fixed or I can find a way to suppress the Dmesg text after Grub runs.

pavel bursa (bursap) wrote :

Hello,
the same problem here:
Ubuntu 14.04 LTS 64b - Linux kernel 3.13.0-34-generic #60-Ubuntu SMP Wed Aug 13 15:45:27 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

GRUB_CMDLINE_LINUX_DEFAULT="noplymounth" and update-grub did not work.
BTW, is there typo in post #11 ? I used "noplymouth" in my /etc/default/grub

GRUB_TERMINAL=console did not work either.

Otherwise boots normally (except for complaining on ACPI, but it is another story).

Asus P5Q3
Dual-Core E6300 @2.80 GHz
Nvidia GeForce GT 640 (rev a1)

dino99 (9d9) on 2014-09-06
tags: added: amd64 utopic
dino99 (9d9) wrote :

Now its a show stopper on Utopic (fresh installation from mini.iso)
The boot process goes well until that plymouth-bridge respawning madness, and then the swap partition is mounted. That's all, nothing more.

Trying to tweak /etc/init/plymouth-upstart-bridge ( recovery boot, root console: to add 'sleep 3' at the end ) also fails due to '' read-only file system"

Seems something need to be fixed due to the latest packages changes, either upstart or dbus or both.

dino99 (9d9) wrote :

#26 follow up

be able to add "sleep 3" from the user session that time. The respawning seems to be gone, but the system still fails to boot.

So i've added "init=/lib/systemd/systemd" to /etc/default/grub, then update-grub; and also take care of mtab: ln -fs /proc/self/mounts /etc/mtab (cf: wiki.ubuntu.com/systemd)
The system still not booting to set xorg.

Then i've added 'nomodeset' before 'init=/lib/systemd/systemd', and that time i'm getting a booting system but with low graphics: 1280x1024 instead of 1920x1280 (gtx750 using 'nouveau')

Cosmin Staicu (cosminstaicu) wrote :

After 3 days of trying to install Ubuntu Server on an older computer I finally did it. So, the problem was that after the installing process was finished, the system required a reboot. On reboot, the system kept freezing on a line with "adding XX to swap" or during the "plymouth" stuff.

So the key word in all of my setting was OLD parts. Actually the system was booting ok, only the display (and by that i mean either the graphic card or the monitor) kept freezing. But i didn't realize that until now. So in order to bypass that, just press F6 after you set the language for the install and from the advanced options check nomodeset. That simple....

SHIV (sidkris77) wrote :

Upgraded to Ubuntu version 14.10 and now it wouldnt even boot with kernel 3.11.0-20-generic.

Arthur Lutz (arthur-lutz) wrote :

Same here, don't know if this the problem, but the laptop doesn't get to the graphical session. Stays stuck on the 4 dots.

Night Eagle (nighteagle) wrote :

I was having this problem with plymouth-upstart-bridge respawning repeatedly during boot. Machine still came up, but boot seemed to be delayed.
Here's a very simple solution I found here: http://www.unrelatedshit.com/2014/07/30/kvm-too-fast-for-plymouth-upstart-bridge/

To fix it, simply add a "sleep 2" to your /etc/init/plymouth-upstart-bridge.conf like so:

[...]
stop on (stopping plymouth
         or stopping plymouth-shutdown)

console output

exec plymouth-upstart-bridge
sleep 2

Boris Gjenero (boris-gjenero) wrote :

Adding "sleep 2" results in a different error: "init: /etc/init/plymouth-upstart-bridge.conf:18: Unknown stanza". I wonder if this causes plymouth-upstart-bridge to not run at all? I have not encountered any problems running like that for many months, but I wonder if some situations could lead to problems. Is plymouth-upstart-bridge needed by programs which may require user interaction during boot, such as fsck?

tessk (brachsnacks) wrote :

Has this been fixed? New install of Ubuntu server 64 14.04, and I cannot boot the machine at all due to this. I get messages about plymouth-upstart-bridge trying to spawn repeatedly and terminating with status 1, and then the entire machine stops responding. Cannot boot at all, the machine is completely unusable. I did the same changes as #25 listed, and they do not seem to be sticking, they get reset after I restart the machine. Right now the only way I can get it to boot completely is through recovery mode.

RedScourge (redscourge) wrote :

This bug affects me as well, but only one of my several servers, and about 20% of the time when I reboot, it crashes trying to mount the root fs on startup. I tried booting to the 3.13.0-24 kernel, fully uninstalling the 3.13.0-68 kernel, then reinstalling it, but the Plymouth issue still remains, however I think the root fs kernel panics may have stopped. Not sure yet, time will tell.

Jarkko Korpi (jarkko-korpi-t) wrote :

Here is how to fix it.

http://www.unrelatedshit.com/2014/07/30/kvm-too-fast-for-plymouth-upstart-bridge/

But I used sleep 1 and it works just fine. But I think this needs to be fixed in ubuntu

Apple J. Kiss (applejuicekiss) wrote :

this is also an issue for me. im not sure if the general instability of the system has anything to do with this. this is the only logged error i have found so far. it seemed like a good place to start to get the system running healthily..

ubuntu 14.0.4.3 with the full Ubuntu-Mate added

Boris Gjenero (boris-gjenero) wrote :

I never experienced any significant problems because of this bug. It only results in those error messages. If your system fails to boot or other things crash, that is probably due to a different unrelated issue.

The "sleep" in /etc/init/plymouth-upstart-bridge.conf does make these error messages go away, but it gives an "Unknown stanza" error instead, so it's not really a solution. I'm not even sure if plymouth-upstart-bridge runs when there is an unknown stanza there, so it could make things worse.

This problem is not present in recent Ubuntu versions when using systemd instead of upstart.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers